/*
 * @author			Emanuel Vitzthum
 * @copyright		© 2011 jQuery SDK v1.3.1
 * @info			http://www.jquerysdk.com
 *
 * @license			Dual licensed under the MIT (http://www.opensource.org/licenses/mit-license.php) and GPL (http://www.gnu.org/licenses/gpl.html)
 *
 * @plugin			jQuery.fn.size
 */

jQuery.plugin( 'jQuery.fn.size', function( $, undefined ){

	// support set method for: inner / outer => width / height
	$.each([ 'Height', 'Width' ], function( i, Type ) {
		var type = Type.toLowerCase(),
		
			innerType = 'inner' + Type,
			outerType = 'outer' + Type,
			
			innerOrig = $.fn[ innerType ],
			outerOrig = $.fn[ outerType ];

		$.fn[ innerType ] = function( val ){
			return $.type(val)==='number' ?
				this.each(function(){
					$.style( this, type, val - ( parseFloat( $.css( this, type, 'padding' ) ) - parseFloat( $.css( this, type ) ) ) );
				}) :
				innerOrig.call(this);
		};
		$.fn[ outerType ] = function( val, margin ){
			return $.type(val)==='number' ?
				this.each(function(){
					$.style( this, type, val - ( parseFloat( $.css( this, type, margin ? 'margin' : 'border' ) ) - parseFloat( $.css( this, type ) ) ) );
				}) :
				outerOrig.call(this,val);
		};
	});

});